Package: groovy.swing.factory

## [Groovy] Class GridBagFactory

- groovy.swing.factory.GridBagFactory

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class LayoutFactory` | `DEFAULT_DELEGATE_PROPERTY_CONSTRAINT, DELEGATE_PROPERTY_CONSTRAINT`
    `class BeanFactory` | `leaf`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GridBagFactory ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addLayoutProperties(def context)`

    ``

    `static Object`

    `extractAttribute(Map attrs, String name, Class type)`
    Returns:
      null if not found.

    `` | `static void` | `processGridBagConstraintsAttributes(FactoryBuilderSupport builder, Object node, Map attributes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class LayoutFactory` | `addLayoutProperties, addLayoutProperties, constraintsAttributeDelegate, getLayoutTarget, newInstance, setParent`
    `class BeanFactory` | `isLeaf, newInstance`
    `class AbstractFactory` | `onFactoryRegistration, isHandlesNodeChildren, onNodeChildren, onHandleNodeAttributes, onNodeCompleted, setChild, setParent, isLeaf, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait, newInstance`

- - ### Constructor Detail

    - #### GridBagFactory()

  - ### Method Detail

    - #### void addLayoutProperties(def context)

    - #### static Object extractAttribute(Map attrs, String name, Class type)

      Returns:
        null if not found. null as a 'not found' works because all attrs except insets are primitive types, and insets will crash if set to null

    - #### static void processGridBagConstraintsAttributes(FactoryBuilderSupport builder, Object node, Map attributes)